Subject: Re: bug#18596: 25.0.50; MS-Windows needs a different default for python-shell-interpreter-args

From: [email-masked] (Fabián Ezequiel Gallina)
Date: Sun, 16 Nov 2014 18:16:47 -0300

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked] (Fabián Ezequiel Gallina)
>> Date: Sun, 16 Nov 2014 11:21:54 -0300
>> 
>> 
>> Fixed at 651ebee in the master branch.
>
> Thanks.  But
>
>   M-: (run-python (executable-find "python") nil) RET
>
> still hangs for me on MS-Windows.  What am I missing?
>

I believe we agreed on the fix being that the defaults should not hang.

The fact that your example hangs on Window is bad but it's not worth the
trouble of mangling the provided command and trying to add the "-i"
switch to it as it would break other cases.

>From the Python help:

-i     : inspect interactively after running script; forces a prompt even
         if stdin does not appear to be a terminal; also PYTHONINSPECT=x
 
So I tried a solution that was ought to leave everyone happy, which was
setting PYTHONINSPECT env variable before run-python, but that didn't
help on Windows either.  If you have other ideas I'm eager to try them
out.

Thanks,
Fabián